<ComponentTemplate name="OrderedGenerator" created="14.07.2017 11:29:39" inOutCounter="3">
  <InnerInOut UcPosition="0" Name="" myId="0" symbol="InnerInOut" x="196" y="219" />
  <node myId="1" symbol="Source" x="298" y="149" color="Black" caption="" captionPos="25" activationMode="passive" pullMode="pullany" actions="1" resourceColor="Black" />
  <node myId="2" symbol="Source" x="285" y="278" color="Black" caption="" captionPos="25" activationMode="passive" pullMode="pullany" actions="1" resourceColor="Black" />
  <connection myId="3" type="StateConnection" start="0" end="1" label="*" position="5" color="Black" thickness="2" forwardOnly="False" />
  <connection myId="4" type="StateConnection" start="0" end="2" label="*" position="5" color="Black" thickness="2" forwardOnly="False" />
  <node myId="5" symbol="Pool" x="385" y="78" color="Black" caption="" captionPos="25" activationMode="automatic" pullMode="pushany" actions="1" resourceColor="Black" startingResources="0" capacity="-1" turnPool="None" fireTwice="True" />
  <node myId="6" symbol="Pool" x="406" y="314" color="Black" caption="" captionPos="25" activationMode="automatic" pullMode="pushany" actions="1" resourceColor="Black" startingResources="0" capacity="-1" turnPool="None" fireTwice="True" />
  <InnerInOut UcPosition="1" Name="" myId="7" symbol="InnerInOut" x="649" y="77" />
  <InnerInOut UcPosition="2" Name="" myId="8" symbol="InnerInOut" x="646" y="366" />
  <connection myId="9" type="ResourceConnection" start="1" end="5" label="D6" position="5" color="Black" thickness="2" />
  <connection myId="10" type="ResourceConnection" start="2" end="6" label="D6" position="5" color="Black" thickness="2" />
  <node myId="11" symbol="Pool" x="384" y="210" color="Black" caption="" captionPos="25" activationMode="passive" pullMode="pullany" actions="1" resourceColor="Black" startingResources="0" capacity="-1" turnPool="None" fireTwice="False" />
  <connection myId="12" type="StateConnection" start="5" end="11" label="+1" position="5" color="Black" thickness="2" forwardOnly="False" />
  <connection myId="13" type="StateConnection" start="6" end="11" label="-1" position="5" color="Black" thickness="2" forwardOnly="False" />
  <connection myId="14" type="ResourceConnection" start="5" end="7" label="6" position="5" color="Black" thickness="2" />
  <connection myId="15" type="ResourceConnection" start="5" end="8" label="6" position="5" color="Black" thickness="2" />
  <connection myId="16" type="ResourceConnection" start="6" end="7" label="6" position="5" color="Black" thickness="2" />
  <connection myId="17" type="ResourceConnection" start="6" end="8" label="6" position="5" color="Black" thickness="2" />
  <connection myId="18" type="StateConnection" start="11" end="15" label="&lt;0" position="5" color="Black" thickness="2" forwardOnly="False" />
  <connection myId="19" type="StateConnection" start="11" end="16" label="&lt;0" position="5" color="Black" thickness="2" forwardOnly="False" />
  <connection myId="20" type="StateConnection" start="11" end="14" label="&gt;=0" position="5" color="Black" thickness="2" forwardOnly="False" />
  <connection myId="21" type="StateConnection" start="11" end="17" label="&gt;=0" position="5" color="Black" thickness="2" forwardOnly="False" />
</ComponentTemplate>